# Ocean theme for iTerm.app

![](https://cloud.githubusercontent.com/assets/143418/5851543/d6d85588-a1bd-11e4-8e29-080efd792418.png)

This is an iTerm.app theme for OS X based on the [base16 Ocean theme](http://chriskempson.github.io/base16/#ocean) and adapted from @mdo's [Terminal.app version](https://github.com/mdo/ocean-terminal).

A little about base16:

> Base16 provides carefully chosen syntax highlighting and a default set of sixteen colors suitable for a wide range of applications.
>
> https://github.com/chriskempson/base16

If you like this theme, be sure to check out the [editor color schemes](https://github.com/chriskempson/base16-textmate) and [Spacegray UI theme](http://kkga.github.io/spacegray/) for Atom and Sublime Text.

## Terminal.app

Check out <https://github.com/mdo/ocean-terminal> for a Terminal.app version.

## Usage

1. Clone this repo.
2. Open up iTerm, go to **Preferences**, then **Profiles**.
3. Select the **Colors** tab, then open the **Load Presets** dropdown and select the **Import** option. Navigate to the `.itermcolors` file and open it.
4. Lastly, set it as your default by selecting the new profile, clicking **Other Actions** in the bottom left and then selecting **Set as Default**.

## Terminal prompt

For more info on customizing your terminal prompt, check out @mdo's `.bash_profile` in
[mdo/config](https://github.com/mdo/config/blob/master/.bash_profile#L1-L13) repo. Copy and paste that into your own `.bash_profile` and reload iTerm or source your profile: `. ~/.bash_profile`. For even more info on terminal prompts, check out the [Bash PS1 generator](https://www.kirsle.net/wizards/ps1.html).

## License

This builds on the freely available [base16 project](https://github.com/chriskempson/base16) by @chriskempson, and is licensed MIT.
